
data<-read.csv("gap_tab2.csv", header=TRUE)
head(data)
data$transitions<-as.factor(data$transitions)
summary(data$transitions)
###rename one of the variables to match the Lewis et al. 2021 paper
data$transitions[which(data$transitions=="Wavy_Short-Whine")]="Wavy_Short-Meowing"
length(data$gap_dur)
###remove 4 gap lengths >1s
data<-data[which(data$gap_dur<1),]

###get average gap durations
agg<-aggregate(data$gap_dur, by=list(data$transitions), FUN="mean")

####remove transitions types with 10 or less instances
data2<-data[which(data$transitions!="Chip-Curve"),]
data3<-data2[which(data2$transitions!="Chip-Stack/Slope"),]
data4<-data3[which(data3$transitions!="Chirp-Wavy"),]
data5<-data4[which(data4$transitions!="Chirp-Meowing"),]
data6<-data5[which(data5$transitions!="Curve-Curve/Slope"),]
data7<-data6[which(data6$transitions!="Curve/Slope-Slope"),]
data8<-data7[which(data7$transitions!="Curve/Stack-U_Stack"),]
data9<-data8[which(data8$transitions!="Slope-Wavy"),]
data10<-data9[which(data9$transitions!="Stack-Stack/Slope"),]
data11<-data10[which(data10$transitions!="Stack-U_Stack"),]
data12<-data11[which(data11$transitions!="Stack-Meowing"),]
data13<-data12[which(data12$transitions!="Stack/Curve-Stack"),]
data14<-data13[which(data13$transitions!="Stack/Slope-Curve/Slope"),]
data15<-data14[which(data14$transitions!="Wavy-Chirp"),]
data16<-data15[which(data15$transitions!="Wavy-Wavy"),]
data17<-data16[which(data16$transitions!="Wavy-Meowing"),]
data18<-data17[which(data17$transitions!="Meowing-Meowing"),]
summary(data18$transitions)
data19<-data18[which(data18$transitions!="Noisy_Chirp-Wavy_Short"),]
data20<-data19[which(data19$transitions!="Curve-Noisy_Chirp"),]
data21<-data20[which(data20$transitions!="Wavy_Short-Meowing"),]
data22<-data21[which(data21$transitions!="Meowing-Wavy"),]
data22<-data22[which(data22$transitions!="Chirp-NLP_Other"),]
data22<-data22[which(data22$transitions!="NLP_Other-Chirp"),]
data22<-data22[which(data22$transitions!="NLP_Other-Curve"),]
data22<-data22[which(data22$transitions!="Slope-NLP_Other"),]

summary(data22$transitions)

library(ggplot2)
###make graph
###with legend
ggplot(aes(x=transitions, y=log(gap_dur),  color=transitions), data=data22)+geom_boxplot()+theme_classic()+ylab("Log of Gap Duration (log(s))")+xlab("Transition Type")+labs(color="Transition Type")+theme(legend.position="bottom")+theme(axis.text.x=element_blank(), axis.ticks = element_line(colour = "black", size = 0.8),axis.ticks.length=unit(0.3, "cm"))
###without legend
ggplot(aes(x=transitions, y=log(gap_dur),  color=transitions), data=data22)+geom_boxplot()+theme_classic()+ylab("Log of Gap Duration")+xlab("Transition Type")+labs(color="Transition Type")+theme(legend.position="")+theme(axis.text.x=element_blank(), axis.ticks = element_line(colour = "black", size = 0.8),axis.ticks.length=unit(0.3, "cm"))

